## python-aioresponses 0.6.3

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help
define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT
BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts


clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint: ## check style with flake8
	flake8 aioresponses tests

test: ## run tests quickly with the default Python

		python setup.py test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python

		coverage run --source aioresponses setup.py test

		coverage report -m
		coverage html
		$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/aioresponses.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ aioresponses
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: clean ## package and upload a release
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== debian/changelog ===
python-aioresponses (0.6.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Feb 2020 13:34:42 +0100

python-aioresponses (0.6.1-3) unstable; urgency=medium

  * update debhelper;
    build-depend on debhelper-compat dh-sequence-python3
    dh-sequence-sphinxdoc
    (not debhelper dh-python)
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Feb 2020 13:22:40 +0100

python-aioresponses (0.6.1-2) unstable; urgency=medium

  * re-release targeted unstable

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Dec 2019 22:26:00 +0100

python-aioresponses (0.6.1-1) experimental; urgency=low

  * Initial packaging release.
    Closes: bug#945778.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Nov 2019 22:26:00 +0100

=== debian/control ===
Source: python-aioresponses
Section: python
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3,
 python3-aiohttp <!nocheck>,
 python3-asynctest <!nocheck>,
 python3-ddt <!nocheck>,
 python3-pbr,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.5.0
Homepage: https://github.com/pnuckowski/aioresponses
Vcs-Git: https://salsa.debian.org/debian/python-aioresponses.git
Vcs-Browser: https://salsa.debian.org/debian/python-aioresponses
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-aioresponses
Architecture: all
Depends:
 python3-aiohttp,
 ${misc:Depends},
 ${python3:Depends},
Description: mock out Python aiohttp ClientSession requests
 Aioresponses is a helper
 to mock/fake web requests in python aiohttp package.
 .
 For requests module there are a lot of packages
 that help us with testing
 (eg. httpretty, responses, requests-mock).
 .
 When it comes to testing asynchronous HTTP requests
 it is a bit harder (at least at the beginning).
 The purpose of this package is to provide
 an easy way to test asynchronous HTTP requests.

Package: python3-aioresponses-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: mock out Python aiohttp ClientSession requests - documentation
 Aioresponses is a helper
 to mock/fake web requests in python aiohttp package.
 .
 For requests module there are a lot of packages
 that help us with testing
 (eg. httpretty, responses, requests-mock).
 .
 When it comes to testing asynchronous HTTP requests
 it is a bit harder (at least at the beginning).
 The purpose of this package is to provide
 an easy way to test asynchronous HTTP requests.
 .
 This package provides documentation for the aioresponses module.

=== debian/rules ===
#!/usr/bin/make -f

DH_OPTIONS = -O--buildsystem=pybuild

STEM = aioresponses
DOCDIR = debian/python3-$(STEM)-doc/usr/share/doc/python3-$(STEM)-doc/html

override_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs $(DOCDIR)
	dh_sphinxdoc
endif

%:
	dh $@ $(DH_OPTIONS:-O%=%)

## python-aioresponses 0.6.4

=== debian/changelog ===
python-aioresponses (0.6.4-2) unstable; urgency=medium

  * declare buildsystem explicitly (not in environment)
  * add patch cherry-picked upstream
    to replace asynctest with native Python 3.8 unittest
  * update patch 1001
  * simplify source script copyright-chceck
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Aug 2020 19:01:34 +0200

python-aioresponses (0.6.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 13 (not 12)
  * unfuzz and extend patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Jul 2020 11:59:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  python3,

## python-aioresponses 0.7.1

=== requirements.txt ===
aiohttp>=2.0.0,<4.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aioresponses.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aioresponses.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aioresponses"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aioresponses"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-aioresponses (0.7.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Nov 2020 21:07:50 +0100

python-aioresponses (0.6.4-3) unstable; urgency=medium

  * fix stop build-depend on python3-asynctest

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Sep 2020 15:09:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  dh-sequence-sphinxdoc <!nodoc>,
  python3,
  python3-aiohttp <!nocheck>,
- python3-asynctest <!nocheck>,
  python3-ddt <!nocheck>,
  python3-pbr,
  python3-pytest <!nocheck>,

## python-aioresponses 0.7.3

=== debian/changelog ===
python-aioresponses (0.7.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Jan 2022 03:15:03 +0100

python-aioresponses (0.7.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Explicitly add runtime dependency:
    python3-pkg-resources. (Closes: #1002045)

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Dec 2021 15:38:15 -0500

python-aioresponses (0.7.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Sep 2021 00:14:48 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/pnuckowski/aioresponses
 Vcs-Git: https://salsa.debian.org/debian/python-aioresponses.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aioresponses
@@ -24,6 +24,7 @@
 Architecture: all
 Depends:
  python3-aiohttp,
+ python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Description: mock out Python aiohttp ClientSession requests

## python-aioresponses 0.7.4

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
 
 clean-test: ## remove test and coverage artifacts
 	rm -fr .tox/
+	rm -fr .pytest_cache/
 	rm -f .coverage
 	rm -fr htmlcov/

=== debian/changelog ===
python-aioresponses (0.7.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * declare compliance with Debian Policy 4.6.2
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Jan 2023 00:04:32 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/pnuckowski/aioresponses
 Vcs-Git: https://salsa.debian.org/debian/python-aioresponses.git
 Vcs-Browser: https://salsa.debian.org/debian/python-aioresponses

## python-aioresponses 0.7.6

=== requirements.txt ===
aiohttp>=3.3.0,<4.0.0

=== debian/changelog ===
python-aioresponses (0.7.6-3) unstable; urgency=medium

  * Team upload.

  [ Santiago Vila ]
  * Fix FTBFS with the nocheck build profile (Closes: #1116848)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 20 Oct 2025 10:23:06 +0200

python-aioresponses (0.7.6-2) unstable; urgency=medium

  * depend on python3-packaging (not python3-pkg-resources)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 16:03:52 +0100

python-aioresponses (0.7.6-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 11:52:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  python3,
- python3-aiohttp <!nocheck>,
+ python3-aiohttp,
  python3-ddt <!nocheck>,
  python3-pbr,
  python3-pytest <!nocheck>,
@@ -24,7 +24,7 @@
 Architecture: all
 Depends:
  python3-aiohttp,
- python3-pkg-resources,
+ python3-packaging,
  ${misc:Depends},
  ${python3:Depends},
 Description: mock out Python aiohttp ClientSession requests

=== debian/rules ===
#!/usr/bin/make -f

STEM = aioresponses
DOCDIR = debian/python3-$(STEM)-doc/usr/share/doc/python3-$(STEM)-doc/html

execute_before_dh_sphinxdoc:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	sphinx-build -b html docs $(DOCDIR)
endif

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/pnuckowski/aioresponses/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
